groovy.json.internal

## Class JsonStringDecoder

- java.lang.Object
- - groovy.json.internal.JsonStringDecoder

    public class JsonStringDecoder
    extends java.lang.Object

Author:
  Richard Hightower

### Constructor Summary

Constructors
Constructor and Description
`JsonStringDecoder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `decode(char[] chars, int start, int to)`
`static java.lang.String` `decodeForSure(char[] chars, int start, int to)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonStringDecoder

    public JsonStringDecoder()

### Method Detail

#### decode

    public static java.lang.String decode(char[] chars,
                                          int start,
                                          int to)

#### decodeForSure

    public static java.lang.String decodeForSure(char[] chars,
                                                 int start,
                                                 int to)